%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	Net-Daemon

Distribution:	CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Perl Net Daemon Module
Name:		perl-%{perlname}
Version:	0.43
Release:	1
Group:		Development/Perl
License:	GNU/GPL
URL:		http://search.cpan.org/search?module=Net+Daemon
Source:		%{perlname}-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}

%description
Abstract base class for portable servers

%prep
%setup -q -n %{perlname}

%build
perl Makefile.PL %_prefix
make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%_libdir
%_mandir

%changelog
* Wed Jan 02 2008 Stefan Gottwald <gotti@ccux-linux.de> 0.43-1
- Version Update
* Wed May 17 2006 Christian Wasem <wasem@ccux-linux.de> 0.38-4
- Rebuild against perl-5.8.8
* Sun Dec 04 2005 Stefan Gotwald <gotti@ccux-linux.de> 0.38-3
- Rebuild against perl-5.8.7
* Fri Dec 02 2005 Stefan Gotwald <gotti@ccux-linux.de> 0.38-2
- Rebuild without vendor flag
* Sat Jun 04 2005 Stefan Gottwald <gotti@ccux-linux.de> 0.38-1
- Initial Build
